html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    max-width: 100%;

}

.main {
    display: flex;
    width: 100%;
    height: 100%;
}

.column {
    display: flex;
    flex-direction: column;
    height: 100%;
    max-height: 100%
}

.column.left {
    background: #eee;
    overflow-x: hidden;
    flex: 1 1 20%;
    border-right: 1px solid black;
    /* max-width: 100%; */
}

.column.center {
    background: #efe;
    flex: 1 1 80%;
}

.column.right {
    background: #eef;
    flex-grow: 1;
    flex: 4;
}

.column > header {
    flex: 0;
    background: #eef;
}

.column > article {
    flex: 1;
    overflow-y: auto;

}

.column > footer {
    flex: 0;
}

nav {
    width: 100%;
}

nav > header {
    /* padding: 5px; */
    width: 100%;
}

nav > header > div{
    /* padding: 5px; */
    width: 100%;
}

main > header {
    padding: 2px;
    position: relative;
    font-size: small;
}

main > header label {
    padding: 0 5px;
}

main > footer {
    background: #ccc;
    padding: 3px;
    font-size: medium;
}

main > footer.error {
    background: #f88;
}

main > footer.loading {
    background: #bbf;
}

main > footer.live {
    background: #fe6;
}

main > footer #help {
    float: right;
}

#reset {
    float: right;
    margin: 3px;
}

#database {
    padding: 3px;
}

#database select, option {
    /* width: calc(100% - 6px); */
}

#controlsystem {
    padding: 3px;
}

#controlsystem select, option {
    width: calc(100% - 6px);
}

#search {
    /* padding: 5px; */
    width: 100%;
}

#search input {
    width: calc(100% - 20px);
    margin: 3px;
}

#search select {
    background: #eee;
    border: 1px solid #ccc;
    width: 100%;
    height: 150px;
}

.attribute {
    font-size: small;
    padding: 2px;
}

.color-patch {
    /* display: inline-block; */
    width: 1.3em;
    height: 1.3em;
    /* border: 1px solid black; */
    margin-right: 3px;
    vertical-align: middle;
    cursor: pointer;
}

.attribute.selected {
    background: #ccc;
}

img.loader {
    position: absolute;
    right: 0;
    width: 0.9em;
    height: 0.9em;
    display: none;
    background: white;
}

.config {
    font-size: small;
    position: relative;
    vertical-align: bottom;
    bottom: 0;
    border-top: 1px solid black;
    background: white;
    padding: 5px;
}

.config header {
    font-weight: bold;
    /* width: 100%; */
    /* position: relative; */
}

.config button.close {
    position: absolute;
    right: 5px;
    font-size: small;
    padding: 1px;
}

.config .attribute-name {
    /* text-decoration: underline; */
}

.config details {
    border: 1px solid grey;
    padding: 2px 5px;
    margin: 2px;
}

.config details summary {
    font-weight: bold;
}

.config details label {
    /* font-weight: bold; */
    /* justify-self: right; */
}

.config details > div.table {
    display: grid;
    grid-gap: 2px 1em;
    grid-template-columns: auto 1fr;
    align-items: center;
}

#time-range-presets {
    margin: 2px;
    float: right;
}

#litepicker {
    padding: 0px;
    margin: 2p;
    /* float: right; */
    text-align:center;

}


/* MU CSS customization */

button {

}

/* button, select { */
/*     /\* margin: 3px; *\/ */
/*     /\* padding: 5px; *\/ */
/*     /\* border-width: 2px; *\/ */
/*     /\* border-style: outset; *\/ */
/*     /\* background: #19e; *\/ */
/*     /\* background: #19e; *\/ */
/*     /\* color: white; *\/ */
/*     background: #ddd; */
/* } */

/* button:active { */
/*     margin: 3px; */
/*     border-width: 2px; */
/*     border-style: inset; */
/*     background: #0007; */
/* } */

/* button.add { */
/*     background: #afa; */
/* } */

/* button.remove { */
/*     background: #faa; */
/* } */

/* select { */
/*     padding: 5px; */
/* } */

input[type=text] {
    padding: 5px;
}

input[type=color] {
    width: 20px;
    height: 20px;
    padding: 0;
    margin: 3px;
    border: 2px;
    vertical-align: middle;
}


.tooltip {
    background: red;
    padding: 10px;
    min-width: 100px;
    z-index: 10000000;
}
